Modify

Opened 2 months ago

Closed 7 weeks ago

Last modified 6 weeks ago

#16369 closed defect (fixed)

wrong icons in the upload dialog

Reported by: mail@… Owned by: team
Priority: normal Milestone: 18.06
Component: Core Version: latest
Keywords: template_report icon Cc: stoecker

Description (last modified by stoecker)

What steps will reproduce the problem?

  1. create restriction only_straight_on
  2. click upload button

What is the expected result?

icons with straight arrow

What happens instead?

there are wrong icons in the dialog, see screenshot: no_u_turn instead of only_straight_on

Please provide any additional information below. Attach a screenshot if possible.


URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-05-06 23:56:40 +0200 (Sun, 06 May 2018)
Build-Date:2018-05-06 21:59:07
Revision:13710
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13710 ru) Linux Arch Linux
Memory Usage: 1350 MB / 3545 MB (594 MB allocated, but free)
Java version: 1.8.0_172-b11, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
VM arguments: [-Djosm.restart=true]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (34109)
+ OpenStreetCam (145)
+ OpeningHoursEditor (34095)
+ editgpx (34109)
+ ejml (34126)
+ geojson (80)
+ geotools (34125)
+ imagery_offset_db (34109)
+ jogl (1.1.0)
+ jts (34038)
+ kendzi3d (1.0.201)
+ kendzi3d-resources (0.0.1)
+ log4j (34038)
+ reverter (34109)
+ routing (34187)
+ tofix (474)
+ turnlanes (34146)
+ turnrestrictions (34129)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet

Attachments (3)

screen_2018-06-09_14:59:08.png (166.5 KB) - added by mail@… 2 months ago.
restriction_preset.png (16.5 KB) - added by Klumbumbus 2 months ago.
crossing_preset.png (13.3 KB) - added by Klumbumbus 2 months ago.

Download all attachments as: .zip

Change History (12)

Changed 2 months ago by mail@…

comment:1 Changed 2 months ago by Don-vip

Component: Core imageryCore
Description: modified (diff)
Keywords: icon added

comment:2 Changed 2 months ago by Don-vip

Cc: stoecker added

How can we display on Trac an image contaning : in its name?

Changed 2 months ago by Klumbumbus

Attachment: restriction_preset.png added

comment:3 Changed 2 months ago by Klumbumbus

Upload dialog, selection dialog and tags/membership dialog (and maybe more) use all the icon from the matching preset, not the current mappaint style.

Last edited 2 months ago by Klumbumbus (previous) (diff)

comment:4 Changed 2 months ago by Klumbumbus

no, the selection dialog behaves a bit different, compare:

Last edited 2 months ago by Klumbumbus (previous) (diff)

Changed 2 months ago by Klumbumbus

Attachment: crossing_preset.png added

comment:5 Changed 2 months ago by Klumbumbus

Summary: wrong icons in the send data dialogwrong icons in the upload dialog

comment:6 Changed 2 months ago by stoecker

Description: modified (diff)

Like this!

comment:7 Changed 7 weeks ago by Don-vip

Milestone: 18.06

comment:8 Changed 7 weeks ago by Don-vip

Resolution: fixed
Status: newclosed

In 13991/josm:

fix #16369 - dialogs: fetch icons for tagged ways and relations, not only nodes

comment:9 in reply to:  8 Changed 6 weeks ago by Don-vip

r13991 caused unexpected regressions: #16462 #16466 #16467

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.